org.icefaces.ace.component.selectmenu

## Class SelectMenuRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.icefaces.ace.renderkit.CoreRenderer
    - - org.icefaces.ace.renderkit.InputRenderer
      - - org.icefaces.ace.component.selectmenu.SelectMenuRenderer

-     public class SelectMenuRenderer
      extends InputRenderer

- - ### Field Summary

    - ### Fields inherited from class org.icefaces.ace.renderkit.InputRenderer

      `IN_FIELD_LABEL_STYLE_CLASS, indicatorPositionSet, LABEL_STYLE_CLASS, labelPositionSet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectMenuRenderer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
    `void` | `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
    `void` | `encodeChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
    `void` | `encodeDynamicScript(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.String call)`
    `void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
    `static void` | `encodeParentAndChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent parent)`
    `java.lang.String` | `getConvertedValueForClient(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object value)`
    `boolean` | `getRendersChildren()`
    `void` | `populateList(javax.faces.context.FacesContext facesContext, SelectMenu selectMenu)`

    - ### Methods inherited from class org.icefaces.ace.renderkit.InputRenderer

      `encodeLabelAndInput, getConvertedValue, getConverter, getLabelAttributes, getOptionAsString, getSelectItems, getStateStyleClasses, writeAriaAttributes, writeInputField, writeLabelAndIndicatorAfter, writeLabelAndIndicatorBefore`

    - ### Methods inherited from class org.icefaces.ace.renderkit.CoreRenderer

      `addToAutoUpdate, convertClientId, decodeBehaviors, decodeBehaviors, encodeClientBehaviors, escapeText, getActionURL, getComponentResourceBundle, getEncodedURL, getEscapedClientId, getLocalisedMessageFromBundle, getResourceRequestPath, getResourceURL, isAjaxRequest, isPostBack, isPostback, isValueBlank, isValueEmpty, renderChild, renderChildren, renderPassThruAttributes, renderPassThruAttributes, renderPassThruAttributes, resolveWidgetVar, shouldRenderAttribute, themeForms`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectMenuRenderer

          public SelectMenuRenderer()

  - ### Method Detail

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

    - #### decode

          public void decode(javax.faces.context.FacesContext facesContext,
                             javax.faces.component.UIComponent uiComponent)

      Overrides:
        `decode` in class `javax.faces.render.Renderer`

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent uiComponent)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext facesContext,
                                     javax.faces.component.UIComponent uiComponent)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

    - #### populateList

          public void populateList(javax.faces.context.FacesContext facesContext,
                                   SelectMenu selectMenu)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeDynamicScript

          public void encodeDynamicScript(javax.faces.context.FacesContext facesContext,
                                          javax.faces.component.UIComponent uiComponent,
                                          java.lang.String call)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeEnd

          public void encodeEnd(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent uiComponent)
                         throws java.io.IOException

      Overrides:
        `encodeEnd` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

    - #### encodeParentAndChildren

          public static void encodeParentAndChildren(javax.faces.context.FacesContext facesContext,
                                                     javax.faces.component.UIComponent parent)
                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getConvertedValueForClient

          public java.lang.String getConvertedValueForClient(javax.faces.context.FacesContext context,
                                                             javax.faces.component.UIComponent component,
                                                             java.lang.Object value)
                                                      throws javax.faces.convert.ConverterException

      Throws:
        `javax.faces.convert.ConverterException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.